Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.survivor
Class SystemFieldList

    java.lang.Object
      com.sun.mdm.index.survivor.SystemFieldList

All Implemented Interfaces:
  java.io.Serializable

public class SystemFieldList
extends java.lang.Object
implements java.io.Serializable

The SystemFieldList class represents a list of system fields. This class is used by the Survivor Strategy Interface when evaluating which field values should populate the Single Best Record (SBR).

See Also:
  Serialized Form

Field Summary
`(package private) java.util.Map` | `mFields`

Constructor Summary
`SystemFieldList()` Creates a new instance of the SystemFieldList class.

Method Summary
`void` | `add(SystemField f)` Adds a SystemField object to the system field list.
`SystemField` | `get(java.lang.String fieldName)` Retrieves the SystemField object for the given field name.
`java.util.Iterator` | `iterator()` Returns an iterator for the list of fields in the SystemFieldList object.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mFields

    java.util.Map mFields

Constructor Detail

### SystemFieldList

    public SystemFieldList()

  Creates a new instance of the SystemFieldList class.

  Parameters:
    None.
  Throws:
    None.

Method Detail

### add

    public void add(SystemField f)

  Adds a SystemField object to the system field list.

  Parameters:
    `f` - The system field to add to the field list.
  Returns:
    `void` - None.
  Throws:
    None.

### get

    public SystemField get(java.lang.String fieldName)

  Retrieves the SystemField object for the given field name.

  Parameters:
    `fieldName` - The name of the system field to retrieve.
  Returns:
    `SystemField` - The system field corresponding to the given field name.
  Throws:
    None.

### iterator

    public java.util.Iterator iterator()

  Returns an iterator for the list of fields in the SystemFieldList object.

  Parameters:
    None.

  Returns:
    `java.util.Iterator` - An iterator of the field list.
  Throws:
    None.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.